Skip to content
Start here

Create Silences

POST/accounts/{account_id}/alerting/v3/silences

Creates a new silence for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Notifications WriteAccount Settings Write
Path ParametersExpand Collapse
account_id: string

The account id

maxLength32
Body ParametersJSONExpand Collapse
body: array of { end_time, policy_id, start_time }
end_time: optional string

When the silence ends.

policy_id: optional string

The unique identifier of a notification policy

maxLength32
start_time: optional string

When the silence starts.

ReturnsExpand Collapse
errors: array of { message, code }
message: string
code: optional number
minimum1000
messages: array of { message, code }
message: string
code: optional number
minimum1000
success: true

Whether the API call was successful

Create Silences

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/alerting/v3/silences \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '[
          {
            "end_time": "2022-01-01T00:00:00Z",
            "policy_id": "0da2b59ef118439d8097bdfb215203c9",
            "start_time": "2022-01-01T00:00:00Z"
          }
        ]'
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true
}